/*
 *   (C) Copyright IBM Corp. 2003
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *  Module: md multipath region mgr
 *  File: multipath.h
 */

#ifndef _MD_MULTIPATH_MGR_H_
#define _MD_MULTIPATH_MGR_H_

#define MULTIPATH_SPARE  (1<<MD_DISK_SYNC)
#define MULTIPATH_ACTIVE (1<<MD_DISK_ACTIVE | 1<<MD_DISK_SYNC | 1<<MD_DISK_NEW)
#define MULTIPATH_FAULTY (1<<MD_DISK_FAULTY)
					 
#define EVMS_Task_Activate_Path   (EVMS_Task_Plugin_Function+1)
#define EVMS_Task_Deactivate_Path (EVMS_Task_Activate_Path+1)
#define EVMS_Task_Fail_Path       (EVMS_Task_Deactivate_Path+1)


#define MAX_MP_TYPENAME_SIZE 64

#define SIMPLE_FAILOVER_STRING     "Simple Failover"
#define SIMPLE_LOAD_BALANCE_STRING "Simple Load Balance"

#define SIMPLE_FAILOVER 0
#define SIMPLE_LOAD_BALANCE 1

struct mp_type_info_s {
	char *name;
};
				   				   
static const struct mp_type_info_s mp_types[] =
{
    {SIMPLE_FAILOVER_STRING},
    {SIMPLE_LOAD_BALANCE_STRING},
    {NULL}                    /* end-of-list */
};


#define MP_CREATE_OPTION_COUNT          1
#define MP_CREATE_OPTION_TYPE_INDEX     0
#define MP_CREATE_OPTION_TYPE_NAME      "Type"

#endif

